ONLYOFFICE Document Server (Docker-Compose)
===========================================

A [ONLYOFFICE Document Server](https://onlyoffice.com/) server that can be run behind [Traefik](https://traefik.io).

Works e.g. with [Nextcloud](https://nextcloud.com/onlyoffice/), [Moodle](https://github.com/logicexpertise/moodle-mod_onlyoffice) and other open source tools.

To tweak the config of the Document Server, you may have to modify the `.env` template. 

[More information regarding ONLYOFFICE Document Server for Docker](https://github.com/ONLYOFFICE/docker-onlyoffice-nextcloud)

After installation:

- Ensure that the ONLYOFFICE instance URL (e.g. `https://documentserver.example.tld`) returns a welcome page.
- Add the ONLYOFFICE App to Nextcloud
- Go to Nextcloud settings > ONLYOFFICE and set the Document Server URL as well as the JWT secret

Requirements
------------

- Ansible (implemented and tested with v2.9)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Traefik or another reverse proxy that takes care of TLS

Role Variables
--------------

| Variable                     | Description                                                                                                                                                                                                                                                                        | Default            |
| ---------------------------  | -------------------------------------------------------------------------------                                                                                                                                                                                                    | ------------------ |
| docker_user                  | The user who is going to manage/run the Docker Compose services                                                                                                                                                                                                                    | deploy             |
| onlyoffice_virtual_host      | The host under which ONLYOFFICE is available from the outside (e.g. docsrv.example.org)                                                                                                                                                                                            | localhost          |
| onlyoffice_allow_origin_list | Satisfy [CORS](https://developer.mozilla.org/en-US/docs/Web/HTTP/CORS) [Access-Control-Allow-Origin](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Access-Control-Allow-Origin):  <br>A comma-separated list of hosts incl. scheme, e.g. https://nextcloud.example.tld | localhost          |
| onlyoffice_jwt_enabled       | Whether JWT authentication should be used                                                                                                                                                                                                                                          | "false"            |
| onlyoffice_jwt_secret        | A shared secret used by ONLYOFFICE and the integrator apps, e.g. Nextcloud                                                                                                                                                                                                         | "secret"           |


Dependencies
------------

Example Playbook
----------------

License
-------

MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).
